Package Details: torrent-file-editor-qt5-git 0.3.17.r12.g6f8a201-1

Git Clone URL: https://aur.archlinux.org/torrent-file-editor-qt5-git.git (read-only, click to copy)
Package Base: torrent-file-editor-qt5-git
Description: Qt based GUI tool designed to create and edit .torrent files. Qt5 build
Upstream URL: https://torrent-file-editor.github.io
Licenses: GPL3
Conflicts: torrent-file-editor, torrent-file-editor-qt4
Provides: torrent-file-editor, torrent-file-editor-qt5
Submitter: metak
Maintainer: metak
Last Packager: metak
Votes: 13
Popularity: 0.006795
First Submitted: 2016-01-07 00:23
Last Updated: 2020-11-01 12:33

Latest Comments

kescherAUR commented on 2020-10-31 12:06

I propose the following Git patch to this package:

diff --git a/.SRCINFO b/.SRCINFO
index 72b49a3..34d6295 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
 pkgbase = torrent-file-editor-qt5-git
    pkgdesc = Qt based GUI tool designed to create and edit .torrent files. Qt5 build
-   pkgver = 0.3.17.r3.g811e401
+   pkgver = 0.3.17.r12.g6f8a201
    pkgrel = 1
-   url = https://sourceforge.net/projects/torrent-file-editor/
+   url = https://torrent-file-editor.github.io
    arch = i686
    arch = x86_64
    license = GPL3
@@ -16,7 +16,7 @@ pkgbase = torrent-file-editor-qt5-git
    provides = torrent-file-editor-qt5
    conflicts = torrent-file-editor
    conflicts = torrent-file-editor-qt4
-   source = git+https://github.com/drizt/torrent-file-editor.git
+   source = git+https://github.com/torrent-file-editor/torrent-file-editor.git
    md5sums = SKIP

 pkgname = torrent-file-editor-qt5-git
diff --git a/PKGBUILD b/PKGBUILD
index c2fcc55..c070629 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,17 +3,17 @@

 pkgname=torrent-file-editor-qt5-git
 _pkgname=torrent-file-editor
-pkgver=0.3.17.r3.g811e401
+pkgver=0.3.17.r12.g6f8a201
 pkgrel=1
 pkgdesc="Qt based GUI tool designed to create and edit .torrent files. Qt5 build"
 arch=('i686' 'x86_64')
-url='https://sourceforge.net/projects/torrent-file-editor/'
+url='https://torrent-file-editor.github.io'
 license=('GPL3')
 depends=('desktop-file-utils' 'hicolor-icon-theme' 'qt5-base')
 makedepends=('cmake' 'git' 'qt5-tools')
 provides=("${_pkgname}" "${_pkgname}-qt5")
 conflicts=("${_pkgname}" "${_pkgname}-qt4")
-source=("git+https://github.com/drizt/torrent-file-editor.git")
+source=("git+https://github.com/torrent-file-editor/torrent-file-editor.git")
 md5sums=('SKIP')

 pkgver() {
@@ -26,8 +26,7 @@ build() {
   cmake . 
     -DCMAKE_INSTALL_PREFIX=/usr 
     -DCMAKE_BUILD_TYPE=Release 
-    -DQT5_BUILD=ON 
-    -DENABLE_PCH=OFF
+    -DQT5_BUILD=ON
   make
 }

ThePooN commented on 2020-04-13 19:48

Had issues building this, but adding -DENABLE_PCH=OFF to the cmake command fixed it.

See https://github.com/torrent-file-editor/torrent-file-editor/issues/101

eimis commented on 2019-08-12 23:17

no longer buids, ‘int QFontMetrics::width(const QString&, int) const’ and ‘QModelIndex QModelIndex::child(int, int) const’ are deprecated

maybe we just need to edit the PKGBUILD on our end, to not treat deprecations as errors...I dunno. Let's see what happens https://github.com/torrent-file-editor/torrent-file-editor/issues/91